pipeline {
    agent any

    stages {
        stage('Checkout') {
            steps {
                // Jenkins ia automat codul de pe branch-ul develop
                checkout scm
            }
        }

        stage('Build Docker Image') {
            steps {
                // Mergem în folderul proiectului și facem build
                dir('it_school/proiect-nutritie') {
                    sh 'docker build -t dieta-app-jenkins .'
                }
            }
        }

        stage('Clean & Deploy') {
            steps {
                // Oprim ce rulează manual (pe portul 8085) și pornim versiunea Jenkins
                sh '''
                docker stop test-dieta || true
                docker rm test-dieta || true
                docker run -d -p 8085:5000 --name test-dieta dieta-app-jenkins
                '''
            }
        }
    }
}